Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge
Interface LuceneOptions

    public interface LuceneOptions

A wrapper class for Lucene parameters needed for indexing.

Author:
  Emmanuel Bernard, Sanne Grinovero

Method Summary
`void` | `addFieldToDocument(java.lang.String name, java.lang.String indexedString, org.apache.lucene.document.Document document)`
`java.lang.Float` | `getBoost()` Deprecated. likely to be removed in version 3.3, use #addFieldToDocument
`org.apache.lucene.document.Field.Index` | `getIndex()` Deprecated. likely to be removed in version 3.3, use #addFieldToDocument
`org.apache.lucene.document.Field.Store` | `getStore()` Deprecated. use addToDocument to add fields to the Document if possible
`org.apache.lucene.document.Field.TermVector` | `getTermVector()` Deprecated. likely to be removed in version 3.3, use #addFieldToDocument

Method Detail

### addFieldToDocument

    void addFieldToDocument(java.lang.String name,
                            java.lang.String indexedString,
                            org.apache.lucene.document.Document document)

### getStore

    org.apache.lucene.document.Field.Store getStore()

  Deprecated. use addToDocument to add fields to the Document if possible

  Might be removed in version 3.3 to better support Lucene 3 which is missing COMPRESS Store Type. To use compression either use #addFieldToDocument or refer to Lucene documentation to implement your own compression strategy.

### getIndex

    org.apache.lucene.document.Field.Index getIndex()

  Deprecated. likely to be removed in version 3.3, use #addFieldToDocument

### getTermVector

    org.apache.lucene.document.Field.TermVector getTermVector()

  Deprecated. likely to be removed in version 3.3, use #addFieldToDocument

### getBoost

    java.lang.Float getBoost()

  Deprecated. likely to be removed in version 3.3, use #addFieldToDocument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.